Subject: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Juri Linkov <[email-masked]>
Date: Tue, 22 Nov 2011 01:45:03 +0200

This is a regression.  It makes special modes `image-mode', `archive-mode'
unusable when visited from dired because their keybindings are clobbered
with view's keybindings.

I propose to remove this regression by reverting revno#105285.
The original request was for something different.  The OP asked
for killing the image buffer with `q', not visiting it with `view-mode'.

There are different ways to do this properly.  One is to rebind `q'
to `kill-this-buffer' in `image-mode' (inherited from `special-mode-map').
This change will affect all users.

Or to document a way to do this individually with a customization like Stefan
demonstrated in http://lists.gnu.org/archive/html/emacs-devel/2011-10/msg01136.html